// e7 shaders by Yves Allaire aka evil lair//
//   http://www.planetquake.com/hfx       //
//       hfx@planetquake.com             //

//smalll light
textures/e7/e7slight
{
	qer_editorimage textures/e7/e7slight.tga
	q3map_lightimage textures/e7/e7slight.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 2500
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/e7/e7slight.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/e7/e7slight.blend.tga
		blendfunc add
		rgbGen identity
	}
}

textures/e7/e7trimlight
{
	qer_editorimage textures/e7/e7trimlight.tga
	q3map_lightimage textures/e7/e7trimlight.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 700
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/e7/e7trimlight.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/e7/e7trimlight.blend.tga
		blendfunc add
		rgbGen identity
	}
}

//jump pad 2
textures/e7/e7sbrickfloor_jump
{
	qer_editorimage textures/e7/e7sbrickfloor_jump.tga
	q3map_lightimage textures/e7/e7sbrickfloor_jump_glow.tga
	surfaceparm nomarks
	q3map_surfacelight 400
	{
		map textures/e7/e7sbrickfloor_jump.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/e7/e7sbrickfloor_jump_glow.tga
		blendfunc add
		rgbGen wave sin 0.5 0.8 0 1.5 
	}
}

// e6tdoor.tga with e6tdoor_fx.tga will use this shader:
// Tech door light effect
textures/evil6_walls/e6tdoor 
{         
        qer_editorimage textures/evil6_walls/e6tdoor.tga 
        
        { 
                map textures/evil6_walls/e6tdoor.tga 
        } 
        { 
                map textures/evil6_walls/e6tdoor_fx.tga  
                tcmod scroll -1 0  
                blendFunc add 
        } 
        { 
                map textures/evil6_walls/e6tdoor.tga 
                blendFunc blend
        } 
        { 
                map $lightmap 
                blendFunc filter
        } 
}

//   asteroid skybox
//   =============

textures/harlequin_sky/jf-asteroid_sky
{
	qer_editorimage textures/harlequin_sky/astr_qer1.tga
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	surfaceparm nomarks
	q3map_surfacelight 50
// note: Change the surfacelight value if you want more ambient light from the sky.
	q3map_sun 1 .98 .9 90 0 90
// note: Change the fourth value (50) if you want a brighter or dimmer sun
	skyparms textures/harlequin_sky/env/astr - -
}

//   Asteroid skybox without Surfacelight (ie NO-GLOW)
//   =====================================================

textures/harlequin_sky/jf-asteroid_sky_noglow
{
	qer_editorimage textures/harlequin_sky/astr_qer2.tga
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	surfaceparm nomarks
	q3map_sun 1 .98 .9 90 0 90
// note: Change the fourth value (50) if you want a brighter or dimmer sun
	skyparms textures/harlequin_sky/env/astr - -
}

//TELEPORT MAP OBJECT BY STECKI - stecki@quakerally.com

//THESE ARE THE INSIDE LIGHTS OF THE MAIN RING

models/mapobjects/telestecki/telelite04
{

        {
                map textures/effects/tinfx2c.tga
                tcGen environment
                rgbGen identity
        }
	{
		map models/mapobjects/telestecki/telelite01.tga
		blendFunc blend
		rgbGen vertex

	}
		{
		map models/mapobjects/telestecki/telelite_g.tga
		blendFunc add
		rgbGen identity

	}
	{
		map models/mapobjects/telestecki/telelite_i.tga
		blendFunc add
		rgbGen wave Sin 0 1 0 .5
	}
}

models/mapobjects/telestecki/telelite03
{

        {
                map textures/effects/tinfx2c.tga
                tcGen environment
                rgbGen identity
        }
	{
		map models/mapobjects/telestecki/telelite01.tga
		blendFunc blend
		rgbGen vertex

	}
		{
		map models/mapobjects/telestecki/telelite_g.tga
		blendFunc add
		rgbGen identity

	}
	{
		map models/mapobjects/telestecki/telelite_i.tga
		blendFunc add
		rgbGen wave Sin 0 1 .25 .5

	}
}

models/mapobjects/telestecki/telelite02
{
        {
                map textures/effects/tinfx2c.tga
                tcGen environment
                rgbGen identity
        }
	{
		map models/mapobjects/telestecki/telelite01.tga
		blendFunc blend
		rgbGen vertex

	}
		{
		map models/mapobjects/telestecki/telelite_g.tga
		blendFunc add
		rgbGen identity

	}
	
	{
		map models/mapobjects/telestecki/telelite_i.tga
		blendFunc add
		rgbGen wave Sin 0 1 .5 .5

	}
}

models/mapobjects/telestecki/telelite01
{
        {
                map textures/effects/tinfx2c.tga
                tcGen environment
                rgbGen identity
        }
	{
		map models/mapobjects/telestecki/telelite01.tga
		blendFunc blend
		rgbGen vertex

	}
		{
		map models/mapobjects/telestecki/telelite_g.tga
		blendFunc add
		rgbGen identity

	}
	
	{
		map models/mapobjects/telestecki/telelite_i.tga
		blendFunc add
		rgbGen wave Sin 0 1 .75 .5

	}
}

//GLOWING CENTER FAUX PARTICLES

models/mapobjects/telestecki/teleglow01
{
	deformVertexes autosprite
     	surfaceparm	trans
     	nomipmaps

	{
		clampmap models/mapobjects/telestecki/teleglow01.tga
		blendfunc gl_one gl_one
		tcMod stretch sawtooth 1 -.9 .5 1.15
		tcMod rotate 15
		rgbGen wave sawtooth .5 .5 .25 1.15
	}
	{
		clampmap models/mapobjects/telestecki/teleglow01.tga
		blendfunc gl_one gl_one
		tcMod stretch sawtooth 1 -.9 .5 1.5
		tcMod rotate -60
		rgbGen wave sawtooth .75 .5 .5 1.5
	}
}


models/mapobjects/telestecki/teleglow02
{
	deformVertexes autosprite
	surfaceparm	trans
     	nomipmaps


	{
		clampmap models/mapobjects/telestecki/teleglow01.tga
		blendfunc gl_one gl_one
		tcMod stretch sawtooth 1 -.9 0 1.5
		tcMod rotate 60
		rgbGen wave sawtooth .75 .5 .6 1.5
	}
	{
		clampmap models/mapobjects/telestecki/teleglow01.tga
		blendfunc gl_one gl_one
		tcMod stretch sawtooth 1 -.9 .5 1.20
		tcMod rotate -20
		rgbGen wave sawtooth .75 .5 .1 1.20
	}
}


//MAIN TELEPORT SURFACES

models/mapobjects/telestecki/telemain
{
        {
                map textures/effects/tinfx2c.tga
                tcGen environment
                rgbGen identity
        }
        {
                map models/mapobjects/telestecki/telemain.tga
                blendFunc blend
                rgbGen vertex
        }
}

//TELEPORTER RAILING

models/mapobjects/telestecki/telerail

{
     cull disable
        {
                map models/mapobjects/telestecki/telemain.tga
                //blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
                //alphaFunc GT0
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }


}

//TELEPAD

models/mapobjects/telestecki/telepad
{
        {
                map textures/effects/tinfx2c.tga
                tcGen environment
                rgbGen identity
        }
        {
                map models/mapobjects/telestecki/telepad.tga
                blendFunc blend
                rgbGen vertex
        }
}

